Skip to content
Stashtab Docs
Esc
↑↓navigate↵open⌘Jpreview

Submit return instruction

POST/v1/organizations/{orgId}/returns/{returnId}/instruction
Authorization
AuthorizationBasic auth · headerrequired

Registered confidential integration credentials. Keep the secret server-side.

or
CookieAPI key · headerrequired

Console-managed Vault session cookie; secure cookie naming may vary by environment.

Path parameters
orgIdstringrequired
min length 1 · max length 128 · matches ^[A-Za-z0-9_-]+$
returnIdstring<uuid>required
matches ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Request body
requiredapplication/json
expectedRevisionintegerrequired
min 0 · max 9007199254740991
instructionobjectrequired
Show properties
Any of:
object
choicestringrequired
object
choicestringrequired
reshipSnapshotIdstring<uuid>required
matches ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
object
choicestringrequired
correctedRecipientobjectrequired
Show properties
addressLine1string | null
Show properties
Any of:
string
string
null
null
addressLine2string | null
Show properties
Any of:
string
string
null
null
addressLine3string | null
Show properties
Any of:
string
string
null
null
citystring | null
Show properties
Any of:
string
string
null
null
companyNamestring | null
Show properties
Any of:
string
string
null
null
contactNamestring | null
Show properties
Any of:
string
string
null
null
countryCodestring | null
Show properties
Any of:
string
string
null
null
defaultIncotermstring | null
Show properties
Any of:
string
string
null
null
emailstring | null
Show properties
Any of:
string
string
null
null
importerOfRecordstring | null
Show properties
Any of:
string
string
null
null
legalNamestring | null
Show properties
Any of:
string
string
null
null
phonestring | null
Show properties
Any of:
string
string
null
null
postalCodestring | null
Show properties
Any of:
string
string
null
null
regionstring | null
Show properties
Any of:
string
string
null
null
taxIdentifierstring | null
Show properties
Any of:
string
string
null
null
submissionKeystringrequired
min length 8 · max length 128 · matches ^[A-Za-z0-9_.:-]+$
Responses
200

Success

dataobjectrequired
Show properties
effectsstring[]required
operationIdstringrequired
outcomestringrequired
instructionobjectrequired
Show properties
idstringrequired
revisionintegerrequired
min -9007199254740991 · max 9007199254740991
metaobjectrequired
Show properties
requestIdstringrequired
default

Error

errorobjectrequired
Show properties
codestringrequired
Allowed:forbiddeninternal_errornot_foundprovider_data_invalidprovider_outcome_unknownprovider_unavailablerate_limitedstate_conflictunauthenticatedvalidation_errorwarehouse_not_ready
fieldsobject[]
Show properties
Array of object
codestringrequired
messagestringrequired
pathstringrequired
messagestringrequired
operationIdstring
metaobjectrequired
Show properties
requestIdstringrequired
Request
curl -X POST '/v1/organizations/string/returns/497f6eca-6276-4993-bfeb-53cbbbba6f08/instruction' \
  -H 'Authorization: Basic YOUR_CREDENTIALS' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "expectedRevision": 0,
  "instruction": {
    "choice": "restock"
  },
  "submissionKey": "stringst"
}'
Response
{
  "data": {
    "effects": [
      "string"
    ],
    "operationId": "string",
    "outcome": "confirmed",
    "instruction": {
      "id": "string",
      "revision": -9007199254740991
    }
  },
  "meta": {
    "requestId": "string"
  }
}